<?php
namespace Internetgalerie\IgMessages\Domain\Repository;


/***
 *
 * This file is part of the "IG Messages" Extension for TYPO3 CMS.
 *
 * For the full copyright and license information, please read the
 * LICENSE.txt file that was distributed with this source code.
 *
 *  (c) 2020 
 *
 ***/
/**
 * The repository for Mailboxes
 */
class MailboxRepository extends \TYPO3\CMS\Extbase\Persistence\Repository
{
    public function findByFrontendUserNotDone($frontendUser)
    {
        $query = $this->createQuery();
        $query->matching(
            $query->logicalAnd(
                $query->equals('frontendUser', $frontendUser),
                $query->equals('isDone', false)
            )
        );
        return $query->execute();        
    }
}
